Bug 1308386 - p7zip 15.09 package missing 7z.so
p7zip 15.09 package missing 7z.so
Status: CLOSED NOTABUG
Product: Fedora EPEL
Classification: Fedora
Component: p7zip (Show other bugs)
el6
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Sergio Monteiro Basto
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-14 21:04 EST by foogle
Modified: 2016-02-15 17:01 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-15 17:01:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description foogle 2016-02-14 21:04:35 EST
Description of problem:

p7zip has to command line programs - 7za and 7z. 7z supports many more archive formats but depends on an additional file 7z.so, which is missing from the p7zip package.

Version-Release number of selected component (if applicable):

$ sudo yum info p7zip
Loaded plugins: amazon-id, rhui-lb, security
Installed Packages
Name        : p7zip
Arch        : x86_64
Version     : 15.09
Release     : 9.el6
Size        : 1.8 M
Repo        : installed
From repo   : epel


How reproducible:

100%

Steps to Reproduce:
1. install p7zip version 15.09 on a RHEL6 box through EPEL
2. run the 7z command
3. observe the error about missing 7z.so

Actual results:

$ 7z i

7-Zip [32] 15.09 beta : Copyright (c) 1999-2015 Igor Pavlov : 2015-10-16
p7zip Version 15.09 beta (locale=en_US.UTF-8,Utf16=on,HugeFiles=on,32 bits,2 CPUs Intel(R) Xeon(R) CPU E5-2670 v2 @ 2.50GHz (306E4),ASM,AES-NI)

Can't load './7z.dll' (./7z.so: cannot open shared object file: No such file or directory)

Expected results:

(from the version of p7zip installed from the official website as a tarball)

$ /opt/p7zip/bin/7z i

7-Zip [32] 15.09 beta : Copyright (c) 1999-2015 Igor Pavlov : 2015-10-16
p7zip Version 15.09 beta (locale=en_US.UTF-8,Utf16=on,HugeFiles=on,32 bits,2 CPUs Intel(R) Xeon(R) CPU E5-2670 v2 @ 2.50GHz (306E4),ASM,AES-NI)

Libs:
 0  /opt/p7zip/bin/7z.dll
 1  /opt/p7zip/bin/Codecs/Rar.so

Additional info:

May also be missing Rar.so.
Comment 1 Sergio Monteiro Basto 2016-02-14 21:29:51 EST
It is in plugins subpackage : rpm -qf /usr/libexec/p7zip/7z.so
p7zip-plugins-15.09-9.fc23.x86_64

About RAR, it was removed due to a non-free license. RAR  license is incompatible with the LGPL

Also 7z is part of the plugins package : rpm -qf /usr/bin/7z 
p7zip-plugins-15.09-9.fc23.x86_64
Comment 2 foogle 2016-02-15 17:01:11 EST
It seemed I had a ghost /usr/bin/7z program installed, it was not owned by any RPM. After installing p7zip-plugins, the 7z program is now working. I will still use the tarball distribution though as I need RAR support.

Note You need to log in before you can comment on or make changes to this bug.